import time

from DB import DBVidcon, DBSA
from report_video import DailymotionClient
import logger
db = DBVidcon()
d = DailymotionClient()


while True:
    lis = db.get_report_video()
    if len(lis) == 0:
        time.sleep(20)
    for li in lis:
        try:
            logger.logger.info(f"name:{li['name_title']},link:{li['link']} ")
            info = d.process_ticket(li['name_title'], li['link'])
            logger.logger.info(f"info:{info}")
            db.update_fight_record_status(li['id'], 2, info)
            db.flush()
        except Exception as e:
            logger.logger.error(f"ID:{li['id']}, e:{e}")
            db.update_fight_record_status(li['id'],3,str(e))
